Function
getOccurrences
Returns all occurences of the representative substring or a q-gram in the index text.
getOccurrences(iterator)
getOccurrences(index, shape)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: VSTree Iterator
index | A q-gram index. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape

Remarks
The necessary index tables are built on-demand via indexRequire if index is not const.
Return Values
All positions where the representative of iterator occurs in the text (see EsaText). If iterator's container type is TIndex the return type is Infix<Fibre<TIndex, EsaSA>::Type const>::Type.
All positions where the q-gram stored in shape occurs in the text (see QGramText). If the type of index is TIndex the return type is Infix<Fibre<TIndex, QGramSA>::Type const>::Type.
Example Programs
Mummy, Supermaximal Repeats, Maximal Unique Matches
See Also
getFrequency, isPartiallyLeftExtensible, isUnique, orderOccurrences, isLeftMaximal
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47